[Nikto-discuss] Bug in db_outdated

Mathijs mathijssch at gmail.com
Tue Aug 12 11:33:15 UTC 2008

Hi all,

Not sure if this is a bug and if it should be sent to this list but here it

-- plugins/db_outdated:"600930","Jetty/(","6.1.0","@RUNNING_VER appears to
be outdated (current is at least @CURRENT_VER)"
++ plugins/db_outdated:"600930","Jetty/","6.1.0","@RUNNING_VER appears to be
outdated (current is at least @CURRENT_VER)"

This '(' causes an error:
Unmatched ( in regex; marked by <-- HERE in m/^Jetty/( <-- HERE / at
/home/mathijs/nikto-2.02/plugins/nikto_outdated.plugin line 81.

This char should either be escaped correctly to \( or removed.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://attrition.org/pipermail/nikto-discuss/attachments/20080812/e5c69a60/attachment.html 

More information about the Nikto-discuss mailing list